cdac.medinfo.sdk.hl7282.hl7model.messages.personnelmanagement

## Class PMU_B05

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.personnelmanagement.PMU_B04_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.personnelmanagement.PMU_B05

-     public final class PMU_B05
      extends PMU_B04_Common

  PMU_B05 - Deactivate Practicing Person (Event B05). An event B05 indicates that a staff member is temporarily unavailable for work, while maintaining a relationship with the institution.

  Represents a PMU_B04 message structure (see chapter 15.3.5). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE_OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: STF (Staff Identification Segment) SINGLE_COMPULSARY
  5: PRA (Practitioner Detail Segment) MULTIPLE_OPTIONAL
  6: ORG (Practitioner Organization Unit Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  PMU_B05 objB05 = (PMU_B05)MessageFactory.createInstance().createSendSupportedMessage("PMU", "B05");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.personnelmanagement.PMU_B04_Common

      `addOrganizationSegment, addOrganizationSegments, addPractitionerSegment, addPractitionerSegments, addSoftwareSegment, addSoftwareSegment, getEventTypeSegment, getOrganizationSegments, getPractitionerSegments, getSoftwareSegments, getStaffTypeSegment, getUserAuthenticationCredentialSegment, setEventTypeSegment, setStaffSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`